org.apache.solr.client.solrj.request

## Class CollectionApiMapping

- java.lang.Object
- - org.apache.solr.client.solrj.request.CollectionApiMapping

    public class CollectionApiMapping
    extends Object

Stores the mapping of v1 API parameters to v2 API parameters for the collection API and the configset API.

### Nested Class Summary

Nested Classes
`static interface` `CollectionApiMapping.CommandMeta`
`static class` `CollectionApiMapping.EndPoint`
`static class` `CollectionApiMapping.Meta`
`static interface` `CollectionApiMapping.V2EndPoint`

### Constructor Summary

Constructors
Constructor and Description
`CollectionApiMapping()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `collectKeyNames(Map<String,Object> map, List<String> result, String prefix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionApiMapping

    public CollectionApiMapping()

### Method Detail

#### collectKeyNames

    public static void collectKeyNames(Map<String,Object> map,
                                       List<String> result,
                                       String prefix)